Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-16951

Project created with 3.3.0 SDK ignores SDK version changes in tiapp.xml

    Details

    • Sprint:
      2014 Sprint 10 Tooling

      Description

      Unable to build project with GA version when app created with latest sdk installed from studio.

      Steps to Reproduce:
      1. Create new classic/alloy app with the latest build installed(3.3.0.v20140512162513) and run the app.
      2. Now edit the tiapp.xml with any GA version (3.2.3.GA) and save the file and run the app again.

      Actual Result:
      1. App builds and install successfully with latest build,3.3.0.v20140512162513
      2. Still the app gets builds with latest installed sdk 3.3.0 build instead of selected GA version.

      Expected Result:
      Both the times app must get build with correct sdk version selected in tiapp.xml.

      Notes:
      1.CLI also shows the same behavior.
      2.If you create project with 3.2.3.GA sdk build then it always build the app with 3.2.3.GA build even if sdk-version in tiapp.xml is edited

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cbarber Chris Barber
                Reporter:
                pagarwal Priya Agarwal
              • Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Titanium SDK/CLI <> Titanium Mobile
                    Synced with:
                    TIMOB-18700
                    Sync status:
                    ERROR
                    Last received:
                    Last sent:

                    Git Source Code